> For the complete documentation index, see [llms.txt](https://itemsadder.devs.beer/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://itemsadder.devs.beer/japanese/developers/java-api/huds-guis-images-and-more.md).

# HUDs, GUIs, images and more

To see how to use HUDs and GUIs API (Font Images) you can check my examples.

## GUIs

{% embed url="<https://github.com/LoneDev6/API-ItemsAdder-Example-GUI>" %}

## Huds

{% embed url="<https://github.com/LoneDev6/RPGhuds>" %}

{% embed url="<https://github.com/LoneDev6/API-ItemsAdder-Example-ServerMonitor>" %}

### Access mana bar value example

```java
PlayerHudsHolderWrapper huds = new PlayerHudsHolderWrapper(player);
PlayerQuantityHudWrapper manaHud = 
                new PlayerQuantityHudWrapper(huds, "magiccraft:mana_bar");
if(manaHud.exists())
  manaHud.setFloatValue(2.0f);
else
  System.out.println("Error: mana not found, maybe it's disabled.");
```

{% hint style="warning" %}

#### NOTE

Make sure that you don't have the permission `ia.user.hud.bypass.api.*` or `setFloatValue` the code won't do anything.
{% endhint %}

## FAQ

{% content-ref url="<https://github.com/LoneDev6/Wiki-ItemsAdder/blob/japanese/developers/java-api/broken-reference/README.md>" %}
<https://github.com/LoneDev6/Wiki-ItemsAdder/blob/japanese/developers/java-api/broken-reference/README.md>
{% endcontent-ref %}

## Get Emoji or GUI character

```java
new FontImageWrapper("twitteremojis:confirm").getString()
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://itemsadder.devs.beer/japanese/developers/java-api/huds-guis-images-and-more.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
